body {
  background-color: rgb(247, 248, 249);
}

/* reset */
label {
  margin-bottom: 0;
  cursor: pointer;
}

button {
  padding: 0;
  border: none;
  font: inherit;
  color: inherit;
  background-color: transparent;
}

input[type="checkbox"] {
  width: 15px;
  height: 15px;
  cursor: pointer;
}

textarea {
  width: 270px;
  /* height: 10px; */
  /* max-height: 150px;
  height: 60px; */
  /* height: auto; */
  padding: 0;
  padding-left: 5px;
  padding-top: 5px;
}

textarea::placeholder {
  /* padding-top: 5px; */
}

/* ::-webkit-input-placeholder,
::-moz-placeholder,
:-moz-placeholder,
:-ms-input-placeholder {
  color:#c0392b;
} */

input[type="text"] {
  width: 105px;
  height: 30px;
  padding-left: 5px;
}

/* всегда видимые стрелочки на input type="number" */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  opacity: 1;
}

.bold {
  font-weight: 700;
}

.hidden {
  opacity: 0;
  cursor: default;
}

.line {
  height: 1px;
  width: 100%;
  background-color:rgba(0, 26, 52, 0.16);
}

.line-order {
  height: 1px;
  margin: 0 auto;
  width: calc(100% - 34px);
  background-color:rgba(0, 26, 52, 0.16);
}

.basket__group {
  background-color: #FFF;
  padding-bottom: 30px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 2px 0px;
}

.basket__header {
  margin-bottom: 15px;
  border-bottom: 1px solid rgba(0, 26, 52, 0.16);
  padding: 15px 20px;
}

.basket__title {
  position: relative;
  display: block;
  background-color: #f2f3f5;
  padding: 15px 30px;
  font-weight: bold;
  margin-bottom: 20px;
  margin: 0px 20px;
}

/* фикс от border-bottom у basket-item, у последнего не убирается рамка
т.к. элементы выводятся при помощи php */
.basket__title:before {
  content: "";
  position: absolute;
  top: -1px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: #fff;
}

.basket__title--empty {
  display: block;
  padding: 15px 30px;
  padding-bottom: 0;
  font-weight: bold;
  font-size: 1.4em;
  margin-bottom: 15px;
  margin: 0px 20px;
  padding-top: 35px;
}

.basket__subtitle--empty {
  display: block;
  padding: 15px 30px;
  margin-bottom: 0px;
  margin: 0px 20px;
}

.basket__item {
  margin-bottom: 0px;
  margin: 0 20px;
  padding: 20px 0px;
  border-bottom: 1px solid rgba(0, 26, 52, 0.16);
}

.basket__item img {
  height: 120px;
}

.basket__item-text {
  height: 120px;
}

.basket__item-title {
  font-weight: bold;
}

.basket__item__back-btn {
  color: #005bff;
}

.basket__item__delete-btn {
  color: #f91155;
}

.basket__item-number {
  color: rgb(80, 80, 80);
}

.basket__item-calc {
  height: 120px;
  margin-left: auto;
}

.basket__item-price {
  font-weight: bold;
}

.basket__item-price--one {
  margin-top: 5px;
  font-size: 0.75em;
  color: #808d9a;
}

.basket__item-calc input {
  width: 70px;
}

/* basket__item-service */

.basket__item-service {
  margin-bottom: 0px;
  margin: 0 20px;
  padding: 10px 0px;
  margin-bottom: 10px;
  /* border-bottom: 1px solid rgba(0, 26, 52, 0.16); */
}

.basket__item-service img {
  width: 40px;
}

.basket__item-service img {
  width: 40px;
}

.basket__item-service input[type="number"] {
  width: 70px;
}

.basket__item-service__map {
  width: 70%;
  /* width: 100%; */
}

#map, #map2 {
  width: 100%;
  height: 300px;
  /* height: 400px; */
}

/* правый блок order */

.sticky {
  position: sticky;
  top: 20px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 3px 0px;
}

.sticky:after {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 20px;
  bottom: -20px;
  background:
    linear-gradient(-45deg, transparent 75%, #fff 0) 0 50%,
    linear-gradient(45deg, transparent 75%, #fff 0) 0 50%;
  background-size: 20px 20px;
}

.basket__order-btn {
  display: block;
  margin: 0px auto;
  padding: 10px;
  color: #fff;
  background-color: #3ac267;
  border-radius: 3px;
  width: 80%;
  margin-bottom: 20px;
  transition: all .15s ease-in-out;
}

.basket__order-btn:hover {
  background-color: #33b062;
}

.basket__order-btn:focus,
.basket__order-btn:active {
  outline: none !important;
}

.basket__order-text {
  margin-bottom: 5px;
  padding: 0 17px;
}

.basket__order-text:last-child {
  font-size: 1.15em;
}

/* изменяю bootstrap паддинг только для элемента .basket__order-text*/
.basket__order-text.pl-5 {
  padding-left: 2rem !important;
}

.basket__detail-btn {
  /* text-decoration: underline; */
  cursor: pointer;
  padding: 0 17px;
}

.basket__order-alert {
  margin: 0 17px;
  padding: 10px 14px;
}

/* basket personal info */

.basket__personal-info {
  width: 60%;
}

.basket__item-personal-info {
  position: relative;
  margin-bottom: 0px;
  margin: 0 20px;
  padding: 10px 0px;
  margin-bottom: 10px;
}

/* input {
  position: relative !important;
}

input::before {
  position: absolute;
  top: 0;
  content: "";
  background: url(../img/checked.svg) 0 0 no-repeat;
  width: 20px;
  height: 20px;
} */

.basket__item-personal-info img {
  bottom: 12px;
  left: calc(80% - 30px);
  position: absolute;
  width: 20px;
  display: none;
}